Substy Developers
Analytics

Get creator sales script statistics

Read aggregate sales-script performance for a creator over the optional date range. Script statistics require an eligible subscription.

GET/v1/agencies/{agencyId}/creators/{creatorId}/script-statistics

Read aggregate sales-script performance for a creator over the optional date range. Script statistics require an eligible subscription.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

startDate?string

ISO 8601 timestamp including a timezone offset.

Formatdate-time
endDate?string

ISO 8601 timestamp including a timezone offset.

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/script-statistics" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "totalPaid": 0,    "totalRevenue": 0,    "unlockRate": 0,    "totalSent": 0,    "bestPerformingScript": null,    "topScripts": [      {        "id": "string",        "name": "string",        "totalSent": 0,        "totalPaid": 0,        "unlockRate": 0,        "revenue": 0      }    ],    "scripts": [      {        "id": "string",        "name": "string",        "totalSent": 0,        "totalPaid": 0,        "unlockRate": 0,        "revenue": 0      }    ],    "dailySeries": [      {        "date": "string",        "revenue": 0,        "sent": 0,        "paid": 0      }    ]  },  "meta": {    "requestId": "string"  }}